import { FC } from 'react';
import styled from '@emotion/styled';
import tw, { theme } from 'twin.macro';
import { css } from '@emotion/react';

interface ButtonProps {
  value?: boolean;
  isSmall?: boolean;
}

export const ButtonSwitch = styled.button(({ value, isSmall }: ButtonProps) => [
  // The common button styles
  tw`px-8 py-2 rounded-xl transform duration-75 dark:bg-black m-2 shadow-lg text-opacity-95 dark:shadow-gray-800`,

  tw`hover:(scale-105)`,
  tw`focus:(scale-100)`,

  value && 'bg-gradient-to-r from-purple-500 to-blue-500',

  isSmall ? tw`text-sm` : tw`text-lg`,
]);
